%define	name	ltris
%define	version	1.0.10
%define	release	1mdk

Summary:	Nice tetris clone
Name:	        %{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Url:		http://lgames.sourceforge.net/index.php?project=LTris
Source0:	ltris-%{version}.tar.bz2
# Source4:	%{name}.menu
Source5:	%{name}16.png.bz2
Source6:	%{name}32.png.bz2
Source7:	%{name}48.png.bz2
License:	GPL
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	common-licenses
BuildRequires:	libSDL-devel


%description
o Tetris clone using SDL
o Sound
o Menu
o Controls can be redefined
o Block preview
o Starting level between 0 and 9
o Various backgrounds
o HighScores
o Nice graphics
o Smooth gameplay
o Cool effects (transparency, animations)
o Two player mode
o Two game modes

%prep
%setup -q

%build
%configure	--with-highscore-path=%{_localstatedir}/games \
		--bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}

bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE7} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}/

cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
  needs=x11 section=Amusement/Arcade\
  title="LTris"\
  longtitle="Nice tetris clone"\
  command="%{_gamesbindir}/%{name}"\
  icon="ltris.png"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README INSTALL AUTHORS ChangeLog
%attr(2755, root, games) %{_gamesbindir}/*
%attr(664, root, games) %{_localstatedir}/%{name}.hscr
%{_datadir}/%{name}
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*
%{_liconsdir}/*

%changelog
* Sat Feb 19 2005 Pixel <pixel@mandrakesoft.com> 1:1.0.10-1mdk
- new release

* Thu Jan 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

* Mon Oct  6 2003 Pixel <pixel@mandrakesoft.com> 1.0.5-1mdk
- new release

* Mon Jul 07 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.4-2mdk
- move binary into %%{_gamesbindir} (closes #4145)
- cosmetics

* Wed Jan  8 2003 Pixel <pixel@mandrakesoft.com> 1.0.4-1mdk
- new release (thanks to Crispin Boylan)

* Fri Dec 20 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.3-3mdk
- remove exclusivearch

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-2mdk
- gcc 3.2 build

* Thu Jul 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.3-1mdk 
- 1.0.3 (Thanks Goetz)

* Mon Jun 10 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-2mdk
- png icons (out xpm!)
- menu in spec file

* Sat Jun  1 2002 Pixel <pixel@mandrakesoft.com> 1.0.2-1mdk
- new release

* Fri Apr 26 2002 Pixel <pixel@mandrakesoft.com> 1.0.1-2mdk
- rebuild (for new libasound)

* Sun Jan 13 2002 Pixel <pixel@mandrakesoft.com> 1.0.1-1mdk
- new version (new versioning)

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 010310-3mdk
- fixing rights on /var/lib/games/*

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 010310-2mdk
- rebuild with new SDL

* Fri Apr 27 2001 Pixel <pixel@mandrakesoft.com> 010310-1mdk
- new version

* Mon Mar 12 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 001115-4mdk
- Add BuildRequires line for libSDL1.1-devel

* Mon Mar 12 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 001115-3mdk
- Allow ltris to save highscores by making the highscore directory
  group writable

* Mon Mar 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 001115-2mdk
- ExclusiveArch: x86
- Requires: common-licenses
- More docs

* Wed Dec 20 2000 Pixel <pixel@mandrakesoft.com> 001115-1mdk
- new version

* Tue Nov 07 2000 David BAUDENS <baudens@mandrakesoft.com> 001017-3mdk
- ExcludeArch: ppc

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 001017-2mdk
- rebuild
- longtitle
- capitalize summary

* Wed Oct 18 2000 Pixel <pixel@mandrakesoft.com> 001017-1mdk
- new version

* Wed Oct  4 2000 Pixel <pixel@mandrakesoft.com> 000705-2mdk
- new icons (thanks to the author Michael Speck)

* Fri Sep 29 2000 Pixel <pixel@mandrakesoft.com> 000705-1mdk
- initial spec

